Sql Vulnerability Assessment Settings - Get

Gets the SQL Vulnerability Assessment settings.

GET https://management.azure.com/{resourceId}/providers/Microsoft.Security/sqlVulnerabilityAssessments/default?api-version=2026-04-01-preview

URI Parameters

Name In Required Type Description
resourceId
path True

string

The fully qualified Azure Resource manager identifier of the resource.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

SqlVulnerabilityAssessmentSettings

Azure operation completed successfully.

Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get SQL Vulnerability Assessment settings on a resource - Sql Managed Instance
Get SQL Vulnerability Assessment settings on a resource - Sql Server
Get SQL Vulnerability Assessment settings on a resource - Synapse

Get SQL Vulnerability Assessment settings on a resource - Sql Managed Instance

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/managedInstances/myManagedInstance/providers/Microsoft.Security/sqlVulnerabilityAssessments/default?api-version=2026-04-01-preview

Sample response

{
  "name": "default",
  "type": "Microsoft.Security/sqlVulnerabilityAssessments",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/managedInstances/myManagedInstance/providers/Microsoft.Security/sqlVulnerabilityAssessments/default",
  "properties": {
    "creationTime": "2022-04-03T04:41:33.937Z",
    "state": "Enabled"
  }
}

Get SQL Vulnerability Assessment settings on a resource - Sql Server

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/servers/myServer/providers/Microsoft.Security/sqlVulnerabilityAssessments/default?api-version=2026-04-01-preview

Sample response

{
  "name": "default",
  "type": "Microsoft.Security/sqlVulnerabilityAssessments",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/servers/myServer/providers/Microsoft.Security/sqlVulnerabilityAssessments/default",
  "properties": {
    "creationTime": "2022-04-03T04:41:33.937Z",
    "state": "Enabled"
  }
}

Get SQL Vulnerability Assessment settings on a resource - Synapse

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Synapse/workspaces/myWorkspace/providers/Microsoft.Security/sqlVulnerabilityAssessments/default?api-version=2026-04-01-preview

Sample response

{
  "name": "default",
  "type": "Microsoft.Security/sqlVulnerabilityAssessments",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Synapse/workspaces/myWorkspace/providers/Microsoft.Security/sqlVulnerabilityAssessments/default",
  "properties": {
    "creationTime": "2022-04-03T04:41:33.937Z",
    "state": "Enabled"
  }
}

Definitions

Name Description
Common.CloudError

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Common.CloudErrorBody

The error detail.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

SqlVulnerabilityAssessmentSettings

SQL Vulnerability Assessment settings resource.

SqlVulnerabilityAssessmentSettingsProperties

SQL Vulnerability Assessment settings properties.

SqlVulnerabilityAssessmentState

Represents the state of a SQL Vulnerability Assessment.

systemData

Metadata pertaining to creation and last modification of the resource.

Common.CloudError

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Name Type Description
error.additionalInfo

ErrorAdditionalInfo[]

The error additional info.

error.code

string

The error code.

error.details

Common.CloudErrorBody[]

The error details.

error.message

string

The error message.

error.target

string

The error target.

Common.CloudErrorBody

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

Common.CloudErrorBody[]

The error details.

message

string

The error message.

target

string

The error target.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

SqlVulnerabilityAssessmentSettings

SQL Vulnerability Assessment settings resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

SqlVulnerabilityAssessmentSettingsProperties

SQL Vulnerability Assessment settings properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SqlVulnerabilityAssessmentSettingsProperties

SQL Vulnerability Assessment settings properties.

Name Type Description
creationTime

string (date-time)

The creation time of the SQL Vulnerability Assessment settings.

state

SqlVulnerabilityAssessmentState

Represents the state of a SQL Vulnerability Assessment.

SqlVulnerabilityAssessmentState

Represents the state of a SQL Vulnerability Assessment.

Value Description
Enabled

Enabled

Disabled

Disabled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.